package org.dromara.payment.coverpage.domain;

import lombok.Data;
import org.dromara.payment.util.MoneyUtils;

import java.math.BigDecimal;

/**
 * @Title MerBillInfo
 * @Description
 * @Author wuchuang
 * @Date 2024/5/31 9:33
 */
@Data
public class MerBillInfo {

    private String name;

    private String payTime;

    private Long amountEnt;

    private Long merId;

    private Long   yearTransactionAmount  ;//年代发总额(分)
    private Long   yearTransactionNumber  ;//年代发笔数(笔)

    private Long   monthTransactionAmount  ;//本月代发总额(分)
    private Long   monthTransactionNumber  ;//本月代发笔数(笔)
    private Long   dayTransactionAmount  ;//今日交易(元)

    private Long   dayTransactionNumber  ;//今日交易笔数(笔)

    public BigDecimal getAmountEnt() {
        return MoneyUtils.getMoneyYuan(amountEnt);
    }

    public BigDecimal getYearTransactionAmount() {
        return MoneyUtils.getMoneyYuan(yearTransactionAmount);
    }

    public BigDecimal getMonthTransactionAmount() {
        return MoneyUtils.getMoneyYuan(monthTransactionAmount);
    }

    public BigDecimal getDayTransactionAmount() {
        return MoneyUtils.getMoneyYuan(dayTransactionAmount);
    }


}
